A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
exp
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Exponential and logarithmic functions

## Functions
array | exp (const array &in)
| C++ Interface to evaluate the exponential.
af_err | af_exp (af_array *out, const af_array in)
| C Interface to evaluate the exponential.

## Detailed Description

Evaluate the exponential function.

## Function Documentation

## ◆ af_exp()

af_err af_exp | ( | af_array * | out,
|  | const af_array | in )

C Interface to evaluate the exponential.

Parameters

  [out] | out | e raised to the power of `in`
  [in] | in | exponent

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ exp()

array exp | ( | const array & | in | ) |

C++ Interface to evaluate the exponential.

Parameters

  [in] | in | exponent

Returns
  exponential

Examples
  financial/heston_model.cpp.